cURL
curl --request POST \ --url https://app.promptingco.com/api/v1/site/pages \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "productId": "<string>", "pages": [ { "slug": "<string>", "title": "<string>", "content": "<string>", "description": "<string>", "metaTitle": "<string>", "metaDescription": "<string>", "domainIds": [ "<string>" ], "canonicalDomainId": "<string>" } ] } '
{ "ok": true, "data": { "scope": { "product": { "id": "<string>", "name": "<string>", "slug": "<string>" }, "organization": { "id": "<string>", "name": "<string>", "slug": "<string>" } }, "createdCount": 1, "failedCount": 1, "created": [ { "id": "<string>", "slug": "<string>", "title": "<string>", "sourceUrl": "<string>", "status": "<string>", "domains": [ { "id": "<string>", "domain": "<string>", "isCanonical": true } ] } ], "failed": [ { "slug": "<string>", "message": "<string>", "id": "<string>" } ] } }
Deprecated, will be removed in future versions. Please use the Apps equivalent.
Organization-scoped API key. Available scopes:
1
1 - 25
Show child attributes
Successful response
true